Secure CN Search Index

2012-02-27 22:08 - Skye Roseboom

Status: Closed Start date: 2012-03-13

Priority: Normal Due date: 2012-10-06

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Story Points:    

Description

Need to apply a request filter on the solr request handler servlet to provide security information from the user certificate to the solr

request handler.  This will allow the search query request to be appended with security permission parameters.

Subtasks:

Task # 2472: Implement security filtering for search index solr endpoints Closed

Task # 2473: Implement security filtering for one mercury Closed

Task # 3249: Provide index processing components full select access to search index. Closed

History

#1 - 2012-07-25 13:33 - Skye Roseboom

- Target version set to Sprint-2012.29-Block.4.3

- Milestone changed from None to CCI-1.1

#2 - 2012-07-30 20:15 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-08-29 17:26 - Skye Roseboom

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.35-Block.5.2

- Position set to 1

- Position changed from 1 to 486

#4 - 2012-08-29 17:29 - Skye Roseboom

- Position changed from 1 to 487

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.37-Block.5.3

- Position deleted (485)

- Position set to 1

#5 - 2012-10-04 21:28 - Skye Roseboom

- Status changed from In Progress to Closed

#6 - 2012-10-05 16:19 - Skye Roseboom

- Due date changed from 2012-09-22 to 2012-10-06

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4
